### Enumeration

# Clutter ScrollControllerFlags

#### Declaration

    flags Clutter.ScrollControllerFlags

#### Description

No description available.

#### Members

`CLUTTER_SCROLL_CONTROLLER_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 18
`CLUTTER_SCROLL_CONTROLLER_FLAG_SCROLL_VERTICAL`

  Handle vertical scroll.

  - Value: `1`
  - Available since: 18
`CLUTTER_SCROLL_CONTROLLER_FLAG_SCROLL_HORIZONTAL`

  Handle horizontal scroll.

  - Value: `2`
  - Available since: 18
`CLUTTER_SCROLL_CONTROLLER_FLAG_DISCRETE`

  Handle continuous scroll as discrete steps.

  - Value: `4`
  - Available since: 18
`CLUTTER_SCROLL_CONTROLLER_FLAG_PHYSICAL_DIRECTION`

  Prefer the physical direction of the scroll events, if known.

  - Value: `8`
  - Available since: 18